// 获取人员基本信息详情



// import { post, get } from '../../utils/request.js'

// export function getPersonInfo(id) {
// 	return get({
// 		url: `personnel/personBaseInfo/${id}`,
// 		method: 'get'
// 	})
// }

import request from '@/utilsRc/request'

// 根据 userId 获取企业详情
export function companyDetails(userId) {
	return request({
		method: 'get',
		url: `/company/unitBaseInfo/user/${userId}`,
	})
}

// 企业-推荐人员信息
export function recommendedPerson(params) {
	return request({
		url: '/company/unitBaseInfo/recommend/person',
		method: 'get',
		params
	})
}

// 人员邀请
export function invitePerson(params) {
	return request({
		url: '/company/unitBaseInfo/invite',
		method: 'get',
		params
	})
}

// 获取企业招聘岗位列表
export function jobList(params) {
	return request({
		url: '/company/unitPostInfo/list',
		method: 'get',
		params
	})
}

// 查找已投递、已推荐、已邀请的人员信息
export function listMatch(query) {
	return request({
		url: '/company/unitBaseInfo/relevance',
		method: 'get',
		params: query
	})
}

// 添加企业基本信息
export function addJobBase(data) {
	return request({
		url: '/company/unitBaseInfo',
		method: 'post',
		data: data
	})
}

// 查询部门下拉树结构
export function deptTreeSelect() {
	return request({
		url: '/system/center/user/deptTree',
		method: 'get'
	})
}

// 企业发布招聘岗位
export function addJob(data) {
	return request({
		url: '/company/unitPostInfo',
		method: 'post',
		data: data
	})
}

// 获取招聘工种列表
export function jobTypeList(params) {
	return request({
		url: '/basicdata/workType/list',
		method: 'get',
		params
	})
}

// 企业基本信息列表
export function jobBaseList(query) {
	return request({
		url: '/company/unitBaseInfo/list',
		method: 'get',
		params: query
	})
}

// 获取企业招聘岗位信息详细信息
export function getJob(id) {
	return request({
		url: `/company/unitPostInfo/${id}`,
		method: 'get'
	})
}
// 修改企业招聘岗位信息
export function updateJob(data) {
	return request({
		url: '/company/unitPostInfo',
		method: 'put',
		data: data
	})
}

// 修改企业基本信息
export function updateJobBase(data) {
	return request({
		url: '/company/unitBaseInfo',
		method: 'put',
		data: data
	})
}
// 查询角色详细
export function getJobService(id) {
	return request({
		url: '/personnel/personBaseInfo/' + id,
		method: 'get'
	})
}

// 查询推荐人员、已推荐、已邀请 详情
export function getUnitBaseInfo(id) {
	return request({
		url: '/manage/personDemand/' + id,
		method: 'get'
	})
}


// 查询工种列表
export function listJobType(query) {
	return request({
		url: '/basicdata/workType/list',
		method: 'get',
		params: query
	})
}

// 人员基本信息 - 列表
export function personInfoList(query) {
	return request({
		url: '/personnel/personBaseInfo/list',
		method: 'get',
		params: query
	})
}

// 获取人员基本信息详情
export function getPersonInfo(id) {
	return request({
		url: `/personnel/personBaseInfo/${id}`,
		method: 'get'
	})
}


// 删除人员基本信息
export function delPersonInfo(ids) {
	return request({
		url: '/personnel/personBaseInfo/' + ids,
		method: 'delete'
	})
}

// 删除录入人员 公用 type = 1 失业中 2 就业困难 3 离校生 4 其他人员
export function delPersonUser(ids) {
	return request({
		url: `/personnel/personInputInfo/${ids}`,
		method: 'delete',
	})
}

// 新增人员基本信息
export function addPersonInfo(data) {
	return request({
		url: '/personnel/personBaseInfo',
		method: 'post',
		data: data
	})
}

// 修改人员基本信息
export function updatePersonInfo(data) {
	return request({
		url: '/personnel/personBaseInfo',
		method: 'put',
		data
	})
}

//社区人员审核
export function personInfoAudit(data) {
	return request({
		url: '/personnel/personBaseInfo/audit',
		method: 'post',
		data: data
	})
}


//记录查看身份证
export function recordLookIdCard(params) {
	return request({
		url: '/personnel/personBaseInfo/recordLookIdCard',
		method: 'get',
		params
	})
}




/* 失业人员 --------------------------------------------- start */

// 新增失业人员
export function addPersonUnemployed(data) {
	return request({
		url: '/person/unemployment',
		method: 'post',
		data
	})
}

// 失业人员修改
export function updatePersonUnemployed(data) {
	return request({
		url: '/person/unemployment',
		method: 'put',
		data,
	})
}

// 失业人员列表
export function unemployment(params) {
	return request({
		url: '/person/unemployment/list',
		method: 'get',
		params
	})
}

// 失业人员详情
export function unemploymentDetails(id) {
	return request({
		url: `/person/unemployment/${id}`,
		method: 'get',
	})
}

// 失业人员删除
export function unemploymentDelete(id) {
	return request({
		url: `/person/unemployment/${id}`,
		method: 'delete',
	})
}

/* 失业人员 --------------------------------------------- end */


/* 就业困难人员 --------------------------------------------- start */

// 新增就业困难
export function addPersonDifficult(data) {
	return request({
		url: '/person/findingEmployment',
		method: 'post',
		data
	})
}

// 修改就业困难
export function updatePersonDifficult(data) {
	return request({
		url: '/person/findingEmployment',
		method: 'put',
		data
	})
}

// 就业困难列表
export function findingEmployment(params) {
	return request({
		url: '/person/findingEmployment/list',
		method: 'get',
		params
	})
}

// 就业困难详情
export function findingEmploymentDetails(id) {
	return request({
		url: `/person/findingEmployment/${id}`,
		method: 'get',
	})
}

// 就业困难删除
export function findingEmploymentDelete(id) {
	return request({
		url: `/person/findingEmployment/${id}`,
		method: 'delete',
	})
}
/* 就业困难人员 --------------------------------------------- end */


/* 离校未就业高校生 --------------------------------------------- start */

// 新增离校未就业高校生
export function addLeaveSchool(data) {
	return request({
		url: '/person/leavingSchoolInfo',
		method: 'post',
		data
	})
}

// 修改离校未就业高校生
export function updateLeaveSchool(data) {
	return request({
		url: '/person/leavingSchoolInfo',
		method: 'put',
		data,
	})
}

// 高校未就业列表
export function leavingSchoolInfo(params) {
	return request({
		url: '/person/leavingSchoolInfo/list',
		method: 'get',
		params
	})
}

// 高校未就业详情
export function leavingSchoolInfoDetails(id) {
	return request({
		url: `/person/leavingSchoolInfo/${id}`,
		method: 'get',
	})
}


// 高校未就业删除
export function leavingSchoolInfoDelete(id) {
	return request({
		url: `/person/leavingSchoolInfo/${id}`,
		method: 'delete',
	})
}


/* 离校未就业高校生 --------------------------------------------- end */

/* 其他人员 --------------------------------------------- start */

// 新增其他人员
export function addOther(data) {
	return request({
		url: '/person/other',
		method: 'post',
		data
	})
}

// 其他人员修改
export function updateOther(data) {
	return request({
		url: '/person/other',
		method: 'post',
		data,
	})
}


// 其他人员列表
export function other(params) {
	return request({
		url: '/person/other/list',
		method: 'get',
		params
	})
}

// 其他人员详情
export function otherDetails(id) {
	return request({
		url: `/person/other/${id}`,
		method: 'get',
	})
}

// 其他人员删除
export function otherDelete(id) {
	return request({
		url: `/person/other/${id}`,
		method: 'delete',
	})
}
/* 其他人员 --------------------------------------------- end */

// 需求预警列表
export function personAlertList(params) {
	return request({
		url: '/manage/personDemand/warningList',
		method: 'get',
		params
	})
}
export function personDealList(params) {
	return request({
		url: '/manage/personDemand/dealingList',
		method: 'get',
		params
	})
}
// 服务追踪  服务类型/服务id
export function serviceTraceability({
	demandType,
	id
}) {
	return request({
		// url: `/system/personRequirementsRecords/serviceTraceability/${demandType}/${id}`,
		url: `/timelime/timelime/fwzs/${id}`,
		method: 'get',
	})
}

// 需求办结
export function requirementCompletion(url, data) {
	return request({
		url,
		method: 'post',
		data
	})
}

//岗位审核
export function jobAudit(data) {
	return request({
		url: '/company/unitPostInfo/audit',
		method: 'post',
		data: data
	})
}

//社群  首页未完成数
// export function getPeopleCount() {
// 	return request({
// 		url: '/pc/index/getPeopleCount',
// 		method: 'get',
// 	})
// }

//社群   首页未完成数
export function getDemandUnfinished() {
	return request({
		url: '/pc/index/todo',
		method: 'get',
	})
}



// 删除企业招聘岗位信息
export function delJob(ids) {
	return request({
		url: '/company/unitPostInfo/' + ids,
		method: 'delete'
	})
}

//  所在社区列表
export function deptList(params) {
	return request({
		'url': `/system/center/user/deptList`,
		'method': 'get',
		params
	})
}

//  所在社区列表
export function returnPerson(params) {
	return request({
		'url': `/personnel/personBaseInfo/returnPerson`,
		'method': 'get',
		params
	})
}
//  根据人的身份证查询人的详细信息
export function getIdNumberInfo(params) {
	return request({
		'url': `/personnel/personBaseInfo/getIdNumberInfo`,
		'method': 'get',
		params
	})
}
